Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class ResequenceCorrelatorCallback

    java.lang.Object
      org.mule.routing.CollectionCorrelatorCallback
          org.mule.routing.ResequenceCorrelatorCallback

All Implemented Interfaces:
  EventCorrelatorCallback

    public class ResequenceCorrelatorCallback

extends CollectionCorrelatorCallback

A Correlator that correlates messages based on Mule correlation settings Note that the `aggregateEvents(org.mule.routing.inbound.EventGroup)` method only resequences the events and returns an MuleEvent[] wrapped in a MuleMessage impl. This means that this callback can ONLY be used with a `CorrelationEventResequencer`

Field Summary
`protected Comparator` | `eventComparator`
`protected Log` | `logger` logger used by this class
`protected MuleContext` | `muleContext`

Constructor Summary
`ResequenceCorrelatorCallback(Comparator eventComparator, MuleContext muleContext)`

Method Summary
`MuleMessage` | `aggregateEvents(EventGroup events)` This method is invoked if the shouldAggregate method is called and returns true.

Methods inherited from class org.mule.routing.CollectionCorrelatorCallback
`createEventGroup, shouldAggregateEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### eventComparator

    protected Comparator eventComparator

### muleContext

    protected MuleContext muleContext

Constructor Detail

### ResequenceCorrelatorCallback

    public ResequenceCorrelatorCallback(Comparator eventComparator,
                                        MuleContext muleContext)

Method Detail

### aggregateEvents

    public MuleMessage aggregateEvents(EventGroup events)
                                throws AggregationException

  This method is invoked if the shouldAggregate method is called and returns true. Once this method returns an aggregated message, the event group is removed from the router.

  Specified by:
    `aggregateEvents` in interface `EventCorrelatorCallback`
  Overrides:
    `aggregateEvents` in class `CollectionCorrelatorCallback`
  Parameters:
    `events` - the event group for this request
  Returns:
    an aggregated message
  Throws:
    `AggregationException` - if the aggregation fails. in this scenario the whole event group is removed and passed to the exception handler for this componenet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.